package controllers

import (
	"eta/eta_index_lib/models"
	"eta/eta_index_lib/services"
	"eta/eta_index_lib/utils"
)

type EdbInfoStatController struct {
	BaseAuthController
}

// SetEdbSourceStat
// @Title 指标终端更新情况定时汇总
// @Description 指标终端情况定时汇总
// @Success 200 {object}
// @router /source_update [post]
func (this *EdbInfoStatController) SetEdbSourceStat() {
	br := new(models.BaseResponse).Init()
	defer func() {
		this.Data["json"] = br
		this.ServeJSON()
	}()

	conf, err := models.GetBusinessConf()
	if err != nil {
		br.Msg = "添加指标失败"
		br.ErrMsg = "获取业务配置失败,Err:" + err.Error()
		return
	}
	// 判断钢联化工的数据刷新方式
	if conf["MySteelDataMethod"] == "api" {
		_ = services.SetEdbInfoUpdateStat(false, utils.DATA_SOURCE_MYSTEEL_CHEMICAL)
	}else{
		_ = services.SetMysteelChemicalEdbInfoUpdateStat(true)
	}
	_ = services.SetEdbInfoUpdateStat(false, utils.DATA_SOURCE_THS)
	_ = services.SetEdbInfoUpdateStat(false, utils.DATA_SOURCE_WIND)
	_ = services.SetEdbSourceStat(true)

	br.Ret = 200
	br.Success = true
	br.Msg = "获取成功"
}
